org.eclipse.net4j.util.io

## Class AsyncWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.PipedWriter
    - - org.eclipse.net4j.util.io.AsyncWriter

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

      public abstract class AsyncWriter
      extends java.io.PipedWriter

  Since:
    3.1
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncWriter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `asyncWrite(java.io.Reader in)`
    `void` | `close()`

    - ### Methods inherited from class java.io.PipedWriter

      `connect, flush, write, write`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncWriter

          public AsyncWriter()
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.PipedWriter`
      Throws:
        `java.io.IOException`

    - #### asyncWrite

          protected abstract void asyncWrite(java.io.Reader in)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html